Results 1 to 4 of 4

Thread: Problem with sanctuary and tropics

  1. #1
    Join Date
    Dec 2009
    Posts
    7

    Default Problem with sanctuary and tropics

    I run the tests unigine-tropics and unigine-sanctuary but not works! After the crash also the bash freeze.

    Instead Unigine-heaven and lightsmark is ok!

    I have archlinux x64 with nvidia 8800gts and driver 260.19.44

    Debug:

    Test Run Command: cd /home/marmotta/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.0/ && ./unigine-tropics -video_width 1920 -video_height 1080 2>&1

    Engine::init(): clear video settings for "GeForce 8800 GTS PCI Express 260.19.44"
    ATTENTION: default value of option vblank_mode overridden by environment.
    AppWindow::setVideoMode(): glXChooseVisual(): failed
    Engine::video_restart(): can't set 1920x1080 fullscreen video mode

    Can't set video mode
    Engine::init(): clear video settings for "GeForce 8800 GTS PCI Express 260.19.44"
    AppWindow::setVideoMode(): glXChooseVisual(): failed
    Engine::video_restart(): can't set 1920x1080 fullscreen video mode

    AppWindow::setVideoMode(): glXChooseVisual(): failed

    Unigine fatal error
    Engine::init(): clear video settings for "GeForce 8800 GTS PCI Express 260.19.44"
    AppWindow::setVideoMode(): glXChooseVisual(): failed
    Engine::video_restart(): can't set 1920x1080 fullscreen video mode
    AppWindow::setVideoMode(): glXChooseVisual(): failed
    Engine::video_restart(): can't set 640x480 windowed video mode
    Loading "/home/marmotta/.phoronix-test-suite/installed-tests/pts/unigine-tropics-1.5.0/tropics/bin/../data/unigine.cfg"...
    Loading "libGL.so.1"...
    Set 1920x1080 fullscreen video mode
    Set 640x480 windowed video mode
    Shutdown

    Result Parsing Line Before Hint: Frames

    Result Line:
    ATTENTION: default value of option vblank_mode overridden by environment.

    Test Result Value: default

  2. #2
    Join Date
    Dec 2009
    Posts
    7

    Default

    No one has this problem?

  3. #3
    Join Date
    Aug 2011
    Location
    San Jose, CA
    Posts
    2

    Default

    I know, the thread is a bit outdated, but I just recently experience a similar problem and would like to know if anybody found a resolution to this problem. Running the test on my system produces this result:

    Loading "/tmp/tropics/bin/../data/unigine.cfg"...
    Engine::init(): clear video settings for "Quadro 5010M PCI Express 275.21"
    Loading "libGL.so.1"...
    Loading "libopenal.so.1"...
    Set 1920x1080 fullscreen video mode
    Set 1.00 gamma value
    Unigine engine http://unigine.com/
    Binary: Linux 32bit GCC 4.3.2 Release May 20 2010
    App path: /tmp/tropics/bin/
    Data path: /tmp/tropics/data/
    Save path: /home/wkuballa/.Unigine Tropics/

    ---- System ----
    System: Linux 3.0.0-1-amd64 x86_64
    CPU: Intel(R) Core(TM) i7-2920XM CPU @ 2.50GHz 2494MHz MMX SSE SSE2 SSE3 SSSE3 SSE41 SSE42 HTT
    GPU: Quadro 5010M PCI Express 275.21
    System memory: 16020 Mb
    Video memory: 3584 Mb

    ---- MathLib ----
    Set SSE3 simd processor

    ---- Sound ----
    Renderer: ALSA Software
    OpenAL vendor: OpenAL Community
    OpenAL renderer: OpenAL Soft
    OpenAL version: 1.1 ALSOFT 1.12.854
    Found AL_EXT_LINEAR_DISTANCE
    Found AL_EXT_OFFSET
    Found ALC_EXT_EFX
    Found EFX Filter
    Found EFX Reverb
    Found EAX Reverb
    Found QUAD16 format
    Found 51CHN16 format
    Found 61CHN16 format
    Found 71CHN16 format
    Maximum sources: 256
    Maximum effect slots: 4
    Maximum auxiliary sends: 2

    ---- Render ----
    GLRender::GLRender(): Unknown NVidia GPU
    OpenGL vendor: NVIDIA Corporation
    OpenGL renderer: Quadro 5010M/PCI/SSE2
    OpenGL version: 1.4 (2.1.2 NVIDIA 275.21)

    Unigine fatal error
    Engine::init(): clear video settings for "Quadro 5010M PCI Express 275.21"
    GLRender::GLRender(): Unknown NVidia GPU
    GLRender::require_extension(): required extension GL_ARB_map_buffer_range is not supported
    Shutdown
    AL lib: ALc.c:1879: exit(): closing 1 Device
    AL lib: ALc.c:1808: alcCloseDevice(): destroying 1 Context(s)
    AL lib: ALc.c:1420: alcDestroyContext(): deleting 256 Source(s)
    AL lib: ALc.c:1427: alcDestroyContext(): deleting 4 AuxiliaryEffectSlot(s)
    AL lib: ALc.c:1825: alcCloseDevice(): deleting 16 Effect(s)
    AL lib: ALc.c:1832: alcCloseDevice(): deleting 256 Filter(s)


    -----------------------------------------------------------------------

    The test reports that the extension GL_ARB_map_buffer_range is not supported, but the Nvidia driver reports its availability:

    wkuballa@localhost:/tmp/tropics$ glxinfo | grep -i gl_arb_map
    GL_ARB_imaging, GL_ARB_instanced_arrays, GL_ARB_map_buffer_range,


    Are there any news regarding this issue?

  4. #4
    Join Date
    Aug 2011
    Location
    San Jose, CA
    Posts
    2

    Default

    It's working now. I had to install the 32-bit components of the nvidia driver (like libgl1-nvidia-glx-ia32, nvidia-glx-ia32, etc.). I used Debian's Synaptic Package Manager to install these components. I also upgraded to nvidia-280.13 (though the upgrade by itself did not change the behavior).

    cheers

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •